/* 
Theme Name: Artlinea
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Tema per Artlinea
Author: Sottolinea.com
Author URI: https://sottolinea.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
*/

/* Add your custom styles here */


/* header */

.header-fisso,
.header-mobile-fisso {
	transform: translatey(-150px);
	-moz-transition: all .8s ease!important;
	-webkit-transition: all .8s ease!important;
	transition: all .8s ease!important;
}

.elementor-sticky--effects.header-fisso,
.elementor-sticky--effects.header-mobile-fisso  {
	height: auto!important;
	transform: translatey(0px);
}

.elementor-sticky--effects.header-scorrevole,
.elementor-sticky--effects.header-mobile-scorrevole {
	display: none!important;
}

/* MOSAICO */

.mosaico .left .top,
.mosaico .left .bottom,
.mosaico .right .top,
.mosaico .right .middle,
.mosaico .right .bottom,
.mosaico .top .left,
.mosaico .top .middle,
.mosaico .top .right,
.mosaico .bottom .left,
.mosaico .bottom .middle,
.mosaico .bottom .right {
	flex-grow: 1 !important;
}




/* nascondo la descrizione della variazione se non compilata */
#prodotto #descr-variazione {
	display: none;
}

/* stili per Aggiungi al carrello - eliminato fondino - posizione pulsante reset */
#prodotto form.variations_form table tbody>tr:nth-child(odd)>td,
#prodotto form.variations_form table tbody>tr:nth-child(odd)>th,
#prodotto form.variations_form table tbody tr:hover>td,
#prodotto form.variations_form table tbody tr:hover>th {
	background: none;
}

#prodotto form.variations_form a.reset_variations {
    display: inline-block;
    padding: 5px 10px;
    border: 1px solid #000;
    margin-top: 10px;
    line-height: 1em;
    color: #000;
    position: absolute;
}

#prodotto form.variations_form a.reset_variations:hover {
	background-color: #ddd;
}

#prodotto form.variations_form .single_variation_wrap {
	margin-top: 40px;
}

#prodotto .prezzo .price,
#prodotto .variations_form .price {
	color: #133C55;
	font-size: 24px;
	font-weight: 500;
}

#prodotto button.single_add_to_cart_button {
	font-family: initial;
	background-color: #000;
}

#prodotto button.single_add_to_cart_button:hover {
	background-color: #242424;
	color: #FFF;
}

#prodotto .descrizione-prodotto {
	font-size: 16px;
}

/* Loop prodotti - colore per prezzo minimo generato dalla shortcode */
.prezzo_minimo {
	color: #133C55;
	font-weight: 500;
} 

/* Stili tabella varianti */

table.variations.wpcvs-initialized {
	font-size: 14px;
}

table.variations.wpcvs-initialized th,
table.variations.wpcvs-initialized td {
	padding: 5px !important;
}

table.variations.wpcvs-initialized th.label {
	text-align: left;
}

table.variations.wpcvs-initialized th.label label {
	font-weight: initial !important;
}

table.variations.wpcvs-initialized tbody>tr:nth-child(odd)>td,
table.variations.wpcvs-initialized tbody>tr:nth-child(odd)>th {
	background: none;
}

table.variations.wpcvs-initialized tr .label {
    width: 150px;
    flex: 0 0 150px;
}

table.variations.wpcvs-initialized tbody a.reset_variations {
    position: absolute;
    right: 0;
    color: #000;
    font-size: initial !important;
    background-color: #efefef;
    padding: 0 12px;
    border-radius: 5px;
    margin-top: 10px;
}

table.variations.wpcvs-initialized tbody tr:hover>td,
table.variations.wpcvs-initialized tbody tr:hover>th {
    background: none !important;
}

table.variations.wpcvs-initialized select {
	border: 1px solid #c7c7c7 !important;
	font-size: 14px;
}

/* icona info per variazioni */

.attribute-info{
    display:inline-flex;
    align-items:center;
    justify-content:center;
    width:16px;
    height:16px;
    margin-left:6px;
    /*border:1px solid #999;*/
    border-radius:50%;
    font-size:10px;
    line-height:1;
    cursor:pointer;
    color:#666;
    transition:.2s;
    display:inline-flex;
    align-items:center;
    cursor:pointer;
}

.attribute-info:hover{
    background:#666;
    color:#fff;
}

.attribute-info img{
    width:16px;
    height:16px;
    pointer-events:none;
}

/* div generato dal plugin SL Variation Info per mostrare dati aggiuntivi della variazione */

#sl-variation-info {
	display: flex;
	margin-top: 40px;
    margin-bottom: 40px;
}

#sl-variation-info .sl-var-row {
	float: left;
	line-height: 30px;
}

#sl-variation-info .sl-var-row.sl-var-weight,
#sl-variation-info .sl-var-row.sl-var-metal {
	display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-left: 24px !important;
    margin-left: 24px !important;
    position: relative !important;	
}


#sl-variation-info .sl-var-row span {
	margin-left: 5px !important;
}

#sl-variation-info .sl-var-row.sl-var-weight:before,
#sl-variation-info .sl-var-row.sl-var-metal:before{
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 1px;
    height: 24px;
    background-color: #dbd9cc;
}

/* Nascondo il prezzo della variazione all'interno del widget add to cart in vista singolo prodotto */

.woocommerce-variation.single_variation .woocommerce-variation-price {
	display: none;
}